'''OpenGL extension ARB.depth_texture

Overview (from the spec)
	
	This is a clarification of the GL_SGIX_depth_texture extension.  The
	original overview follows:
	
	This extension defines a new depth texture format.	An important
	application of depth texture images is shadow casting, but separating
	this from the shadow extension allows for the potential use of depth
	textures in other applications such as image-based rendering or
	displacement mapping.  This extension does not define new depth-texture
	environment functions, such as filtering or applying the depth values
	computed from a texture but leaves this to other extensions, such as
	the shadow extension.

The official definition of this extension is available here:
	http://oss.sgi.com/projects/ogl-sample/registry/ARB/depth_texture.txt

Automatically generated by the get_gl_extensions script, do not edit!
'''
from OpenGL import platform, constants, constant, arrays
from OpenGL import extensions
from OpenGL.GL import glget
import ctypes
FORMAL_EXTENSION_NAME = 'GL_ARB_depth_texture'
GL_DEPTH_COMPONENT16_ARB = constant.Constant( 'GL_DEPTH_COMPONENT16_ARB', 0x81A5 )
GL_DEPTH_COMPONENT24_ARB = constant.Constant( 'GL_DEPTH_COMPONENT24_ARB', 0x81A6 )
GL_DEPTH_COMPONENT32_ARB = constant.Constant( 'GL_DEPTH_COMPONENT32_ARB', 0x81A7 )
GL_TEXTURE_DEPTH_SIZE_ARB = constant.Constant( 'GL_TEXTURE_DEPTH_SIZE_ARB', 0x884A )
GL_DEPTH_TEXTURE_MODE_ARB = constant.Constant( 'GL_DEPTH_TEXTURE_MODE_ARB', 0x884B )


def glInitDepthTextureARB():
	'''Return boolean indicating whether this extension is available'''
	return extensions.hasGLExtension( FORMAL_EXTENSION_NAME )
